Klasse RestCallWorkflowAction
java.lang.Object
de.uplanet.lucy.server.workflow.action.AbstractWorkflowAction
de.uplanet.lucy.server.workflow.action.rest.RestCallWorkflowAction
- Alle implementierten Schnittstellen:
IActivatableWorkflowObject,ILogLevelAware,INamedWorkflowObject,INeedWorkflow,IWorkflowAction,IWorkflowObject,Serializable
A workflow action to execute REST calls.
- Siehe auch:
-
Feldübersicht
FelderModifizierer und TypFeldBeschreibungstatic final String"API_KEY"static final String"BASIC"static final String"BEARER_TOKEN"static final String"NONE"static final String"FILE"static final String"JSON"static final String"MULTIPART"static final String"NONE"static final String"RAW"Von Schnittstelle geerbte Felder de.uplanet.lucy.server.workflow.IWorkflowObject
GUID_COMPARATOR -
Konstruktorübersicht
Konstruktoren -
Methodenübersicht
Modifizierer und TypMethodeBeschreibunggetAlias()Get the header used for authentication.Get the authentication type.getBody()Get the request body content (payload).Get the HTTP request body type.Get the filename used for downloads if content disposition is missing.Get the user-defined request headers.getHost()Get the URI host.Get the HTTP method (verb).Get the multipart elements configured for the request.This property determines if an exception should be thrown if request processing fails.Get the password for authentication.getPath()Get the URI path.getPort()Get the URI port.Get the URI's query parameters.Get the mapping of placeholders to resources in Intrexx.Get the URI scheme.intGet the request timeout.getToken()Get the authenication token, i.e.Get the user name for authentication.booleanThis flag determines if redirects should be followed.booleanThis flag determines if hostnames should be verified.booleanThis flag determines if verbose logging is turned on or off.booleanThis flag determines if JSON should be parsed or not.booleanFlag indicating if the client should be kept for re-use in later calls (only in the current workflow execution).booleanThis flag determines if all certificates should be trusted.process(IWorkflowEvent p_evt, de.uplanet.lucy.server.workflow.IWorkflowProcessingContext p_wfCtx, de.uplanet.lucy.server.IProcessingContext p_ctx) Process a workflow event in the given context.voidvoidsetAuthHeader(String p_strAuthHeader) Set the header used for authentication.voidsetAuthType(String p_strAuthType) Set the authentication type.voidSet the request body content (payload).voidsetBodyType(String p_strBodyType) Set the HTTP request body type.voidsetFilenameDownload(String p_strFilenameDownload) Set the filename used for downloads if content disposition is missing.voidsetFollowRedirects(boolean p_bFollowRedirects) This flag determines if redirects should be followed.voidsetHeaders(Map<String, String> p_headers) Set user-defined request headers.voidSet the URI host.voidsetHostnameVerification(boolean p_bHostnameVerification) This flag determines if hostnames should be verified.voidsetHttpVerb(String p_strHttpMethod) Set the HTTP method (verb).voidsetLogVerbose(boolean p_bLogVerbose) This flag determines if verbose logging is turned on or off.voidsetMultipartElements(List<String> p_multipartElements) Set the multipart elements configured for the request.voidsetOnErrorMode(ON_ERROR_MODE p_onErrorMode) This property determines if an exception should be thrown if request processing fails.voidsetParseJson(boolean p_bParseJson) This flag determines if JSON should be parsed or not.voidsetPassword(String p_strPassword) Set the password for authentication.voidSet the URI path.voidSet the URI port.voidsetQueryParameters(Map<String, String> p_queryParameters) Set the URI's query parameters.voidsetResourceMapping(Map<String, String> p_resourceMapping) Set the mapping of placeholders to resources in Intrexx.voidsetRetainClient(boolean p_bRetainClient) Flag indicating if the client should be kept for re-use in later calls (only in the current workflow execution).voidSet the URI scheme.voidsetTimeout(int p_iTimeout) Set the request timeout.voidSet the authenication token.voidsetTrustAllCertificates(boolean p_bTrustAllCertificates) This flag determines if all certificates should be trusted.voidsetUsername(String p_strUserName) Set the user name for authentication.Von Klasse geerbte Methoden de.uplanet.lucy.server.workflow.action.AbstractWorkflowAction
getAfferentTransition, getEfferentTransition, getGuid, getName, getWorkflow, isActive, setActive, setAfferentTransition, setEfferentTransition, setName, setWorkflow, toString
-
Felddetails
-
AUTH_TYPE_NONE
"NONE"- Siehe auch:
-
AUTH_TYPE_BASIC
"BASIC"- Siehe auch:
-
AUTH_TYPE_BEARER_TOKEN
"BEARER_TOKEN"- Siehe auch:
-
AUTH_TYPE_API_KEY
"API_KEY"- Siehe auch:
-
BODY_TYPE_NONE
"NONE"- Siehe auch:
-
BODY_TYPE_JSON
"JSON"- Siehe auch:
-
BODY_TYPE_RAW
"RAW"- Siehe auch:
-
BODY_TYPE_FILE
"FILE"- Siehe auch:
-
BODY_TYPE_MULTIPART
"MULTIPART"- Siehe auch:
-
-
Konstruktordetails
-
RestCallWorkflowAction
- Parameter:
p_strGuid- The GUID of the workflow action.- Löst aus:
IllegalArgumentException- If the GUID parameter isnullor if it does not represent a valid GUID.
-
-
Methodendetails
-
process
public WorkflowTransition process(IWorkflowEvent p_evt, de.uplanet.lucy.server.workflow.IWorkflowProcessingContext p_wfCtx, de.uplanet.lucy.server.IProcessingContext p_ctx) throws Exception Beschreibung aus Schnittstelle kopiert:IWorkflowActionProcess a workflow event in the given context.Normally, a workflow action should return its efferent transition, regardless whether it is
active, or not.- Angegeben von:
processin SchnittstelleIWorkflowAction- Parameter:
p_evt- The event to be processed.p_wfCtx- The workflow processing context.p_ctx- The processing context.- Gibt zurück:
- The efferent transition, or
null. - Löst aus:
Exception- If an error occurred.
-
getAlias
-
setAlias
-
getAuthType
Get the authentication type.Supported authentication types are
- Gibt zurück:
- The authentication type.
-
setAuthType
Set the authentication type.Supported authentication types are
- Parameter:
p_strAuthType- The authentication type.
-
getToken
Get the authenication token, i.e. API key or bearer token.- Gibt zurück:
- The authenication token.
-
setToken
Set the authenication token.- Parameter:
p_strToken- The authenication token, e.g. API key or bearer token.
-
getUsername
Get the user name for authentication.- Gibt zurück:
- The user name.
-
setUsername
Set the user name for authentication.- Parameter:
p_strUserName- The user name.
-
getPassword
Get the password for authentication.- Gibt zurück:
- The password.
-
setPassword
Set the password for authentication.- Parameter:
p_strPassword- The password.
-
getAuthHeader
Get the header used for authentication.- Gibt zurück:
- The header used for authentication.
-
setAuthHeader
Set the header used for authentication.- Parameter:
p_strAuthHeader- The header used for authentication.
-
isRetainClient
public boolean isRetainClient()Flag indicating if the client should be kept for re-use in later calls (only in the current workflow execution).- Gibt zurück:
trueif the client should be kept for re-use, orfalseotherwise.
-
setRetainClient
public void setRetainClient(boolean p_bRetainClient) Flag indicating if the client should be kept for re-use in later calls (only in the current workflow execution).- Parameter:
p_bRetainClient-trueif the client should be kept for re-use, orfalseotherwise.
-
getScheme
Get the URI scheme.- Gibt zurück:
- The URI scheme.
-
setScheme
Set the URI scheme.- Parameter:
p_strScheme- The URI scheme (should behttps).
-
getHost
Get the URI host.- Gibt zurück:
- The URI host.
-
setHost
Set the URI host.- Parameter:
p_strHost- The URI host.
-
getPort
Get the URI port.- Gibt zurück:
- The URI port.
-
setPort
Set the URI port.- Parameter:
p_strPort- The URI port.
-
getPath
Get the URI path.- Gibt zurück:
- The URI path.
-
setPath
Set the URI path.- Parameter:
p_strPath- The URI path.
-
getQueryParameters
Get the URI's query parameters.- Gibt zurück:
- The URI's query parameters.
-
setQueryParameters
Set the URI's query parameters.- Parameter:
p_queryParameters- The URI's query parameters.
-
getHttpVerb
Get the HTTP method (verb).- Gibt zurück:
- The HTTP method.
-
setHttpVerb
Set the HTTP method (verb).- Parameter:
p_strHttpMethod- The HTTP method (must be uppercase).
-
getBodyType
Get the HTTP request body type.Supported body types are
- Gibt zurück:
- The HTTP request body type.
-
setBodyType
Set the HTTP request body type.Supported body types are
- Parameter:
p_strBodyType- The HTTP request body type.
-
getBody
Get the request body content (payload).- Gibt zurück:
- The HTTP request body content.
-
setBody
Set the request body content (payload).- Parameter:
p_strBody- The HTTP request body content.
-
isParseJson
public boolean isParseJson()This flag determines if JSON should be parsed or not.- Gibt zurück:
trueif JSON should be parsed, orfalseotherwise.
-
setParseJson
public void setParseJson(boolean p_bParseJson) This flag determines if JSON should be parsed or not.- Parameter:
p_bParseJson-trueif JSON should be parsed, orfalseotherwise.
-
getResourceMapping
Get the mapping of placeholders to resources in Intrexx.- Gibt zurück:
- The mapping.
-
setResourceMapping
Set the mapping of placeholders to resources in Intrexx.- Parameter:
p_resourceMapping- The mapping.
-
getHeaders
Get the user-defined request headers.- Gibt zurück:
- The request headers.
-
setHeaders
Set user-defined request headers.- Parameter:
p_headers- The request headers.
-
getFilenameDownload
Get the filename used for downloads if content disposition is missing.- Gibt zurück:
- The filename.
-
setFilenameDownload
Set the filename used for downloads if content disposition is missing.- Parameter:
p_strFilenameDownload- The filename.
-
getMultipartElements
Get the multipart elements configured for the request.- Gibt zurück:
- The multipart elements.
-
setMultipartElements
Set the multipart elements configured for the request.- Parameter:
p_multipartElements- The multipart elements.
-
isTrustAllCertificates
public boolean isTrustAllCertificates()This flag determines if all certificates should be trusted.The default value is
false.- Gibt zurück:
trueif all certificates should be trusted, orfalseotherwise.
-
setTrustAllCertificates
public void setTrustAllCertificates(boolean p_bTrustAllCertificates) This flag determines if all certificates should be trusted.The default value is
false.- Parameter:
p_bTrustAllCertificates-trueif all certificates should be trusted, orfalseotherwise.
-
isHostnameVerification
public boolean isHostnameVerification()This flag determines if hostnames should be verified.The default value is
true.- Gibt zurück:
trueif hostnames should be verified, orfalseotherwise.
-
setHostnameVerification
public void setHostnameVerification(boolean p_bHostnameVerification) This flag determines if hostnames should be verified.The default value is
true.- Parameter:
p_bHostnameVerification-trueif hostnames should be verified, orfalseotherwise.
-
isFollowRedirects
public boolean isFollowRedirects()This flag determines if redirects should be followed.The default value is
false.- Gibt zurück:
trueif redirects should be followed, orfalseotherwise.
-
setFollowRedirects
public void setFollowRedirects(boolean p_bFollowRedirects) This flag determines if redirects should be followed.The default value is
false.- Parameter:
p_bFollowRedirects-trueif redirects should be followed, orfalseotherwise.
-
getOnErrorMode
This property determines if an exception should be thrown if request processing fails.The default value is
ON_ERROR_MODE.THROW_EXCEPTION.- Gibt zurück:
- The error handling mode.
-
setOnErrorMode
This property determines if an exception should be thrown if request processing fails.The default value is
ON_ERROR_MODE.THROW_EXCEPTION.- Parameter:
p_onErrorMode- The error mode to be used. May be eitherON_ERROR_MODE.THROW_EXCEPTION, orON_ERROR_MODE.NO_ACTION.
-
getTimeout
public int getTimeout()Get the request timeout.The default value is 30 seconds.
- Gibt zurück:
- The request timeout in seconds.
-
setTimeout
public void setTimeout(int p_iTimeout) Set the request timeout.The default value is 30 seconds.
- Parameter:
p_iTimeout- The request timeout in seconds.
-
isLogVerbose
public boolean isLogVerbose()Beschreibung aus Schnittstelle kopiert:ILogLevelAwareThis flag determines if verbose logging is turned on or off.- Angegeben von:
isLogVerbosein SchnittstelleILogLevelAware- Gibt zurück:
trueif logging is verbose, orfalseotherwise.
-
setLogVerbose
public void setLogVerbose(boolean p_bLogVerbose) Beschreibung aus Schnittstelle kopiert:ILogLevelAwareThis flag determines if verbose logging is turned on or off.- Angegeben von:
setLogVerbosein SchnittstelleILogLevelAware- Parameter:
p_bLogVerbose-trueif logging should be verbose, orfalseotherwise.
-